import { StyleSheetCfg } from '../../interface';
export declare const createDarkStyleSheet: (cfg?: StyleSheetCfg) => {
    /** 图表背景色 */
    backgroundColor: string;
    /** 主题色 */
    brandColor: string;
    /** 图表辅助色 */
    subColor: string;
    /** 分类色板 1，在数据量小于等于 10 时使用 */
    paletteQualitative10: string[];
    /** 分类色板 2，在数据量大于 10 时使用 */
    paletteQualitative20: string[];
    /** 语义色 */
    paletteSemanticRed: string;
    /** 语义色 */
    paletteSemanticGreen: string;
    /** 语义色 */
    paletteSemanticYellow: string;
    /** (单色)顺序色板 */
    paletteSequence: string[];
    /** 字体 */
    fontFamily: string;
    /** 坐标轴线颜色 */
    axisLineBorderColor: string;
    /** 坐标轴线粗细 */
    axisLineBorder: number;
    /** 坐标轴线 lineDash 设置 */
    axisLineDash: any;
    /** 坐标轴标题颜色 */
    axisTitleTextFillColor: string;
    /** 坐标轴标题文本字体大小 */
    axisTitleTextFontSize: number;
    /** 坐标轴标题文本行高 */
    axisTitleTextLineHeight: number;
    /** 坐标轴标题文本字体粗细 */
    axisTitleTextFontWeight: string;
    /** 坐标轴标题距离坐标轴文本的间距 */
    axisTitleSpacing: number;
    /** 坐标轴刻度线颜色 */
    axisTickLineBorderColor: string;
    /** 坐标轴刻度线长度 */
    axisTickLineLength: number;
    /** 坐标轴刻度线粗细 */
    axisTickLineBorder: number;
    /** 坐标轴次刻度线颜色 */
    axisSubTickLineBorderColor: string;
    /** 坐标轴次刻度线长度 */
    axisSubTickLineLength: number;
    /** 坐标轴次刻度线粗细 */
    axisSubTickLineBorder: number;
    /** 坐标轴刻度文本颜色 */
    axisLabelFillColor: string;
    /** 坐标轴刻度文本字体大小 */
    axisLabelFontSize: number;
    /** 坐标轴刻度文本行高 */
    axisLabelLineHeight: number;
    /** 坐标轴刻度文本字体粗细 */
    axisLabelFontWeight: string;
    /** 坐标轴刻度文本距离坐标轴线的间距 */
    axisLabelOffset: number;
    /** 坐标轴网格线颜色 */
    axisGridBorderColor: string;
    /** 坐标轴网格线粗细 */
    axisGridBorder: number;
    /** 坐标轴网格线虚线设置 */
    axisGridLineDash: any;
    /** 图例标题颜色 */
    legendTitleTextFillColor: string;
    /** 图例标题文本字体大小 */
    legendTitleTextFontSize: number;
    /** 图例标题文本行高 */
    legendTitleTextLineHeight: number;
    /** 图例标题文本字体粗细 */
    legendTitleTextFontWeight: string;
    /** 图例 marker 颜色 */
    legendMarkerColor: string;
    /** 图例 marker 距离图例文本的间距 */
    legendMarkerSpacing: number;
    /** 图例 marker 默认半径大小 */
    legendMarkerSize: number;
    /** 图例 'circle' marker 半径 */
    legendCircleMarkerSize: number;
    /** 图例 'square' marker 半径 */
    legendSquareMarkerSize: number;
    /** 图例 'line' marker 半径 */
    legendLineMarkerSize: number;
    /** 图例项文本颜色 */
    legendItemNameFillColor: string;
    /** 图例项文本字体大小 */
    legendItemNameFontSize: number;
    /** 图例项文本行高 */
    legendItemNameLineHeight: number;
    /** 图例项粗细 */
    legendItemNameFontWeight: string;
    /** 图例项之间的水平间距 */
    legendItemSpacing: number;
    /** 图例项垂直方向的间隔 */
    legendItemMarginBottom: number;
    /** 图例与图表绘图区域的偏移距离  */
    legendSpacing: number;
    /** 图例与图表绘图区域的偏移距离  */
    legendPadding: number[];
    /** 水平布局的图例与绘图区域偏移距离 */
    legendHorizontalPadding: number[];
    /** 垂直布局的图例与绘图区域偏移距离 */
    legendVerticalPadding: number[];
    /** 图例分页器 marker 大小 */
    legendPageNavigatorMarkerSize: number;
    /** 图例分页器 marker 填充色 */
    legendPageNavigatorMarkerInactiveFillColor: string;
    /** 图例分页器 marker 填充色透明度 */
    legendPageNavigatorMarkerInactiveFillOpacity: number;
    /** 图例分页器 marker 激活状态填充色 */
    legendPageNavigatorMarkerFillColor: string;
    /** 图例分页器 marker 激活状态填充色透明度 */
    legendPageNavigatorMarkerFillOpacity: number;
    /** 图例分页器文本颜色 */
    legendPageNavigatorTextFillColor: string;
    /** 图例分页器文本字体大小 */
    legendPageNavigatorTextFontSize: number;
    /** 连续图例滑块填充色 */
    sliderRailFillColor: string;
    /** 连续图例滑块边框粗细 */
    sliderRailBorder: number;
    /** 连续图例滑块边框颜色 */
    sliderRailBorderColor: any;
    /** 连续图例滑块宽度 */
    sliderRailWidth: number;
    /** 连续图例滑块高度 */
    sliderRailHeight: number;
    /** 连续图例文本颜色 */
    sliderLabelTextFillColor: string;
    /** 连续图例文本字体大小 */
    sliderLabelTextFontSize: number;
    /** 连续图例文本行高 */
    sliderLabelTextLineHeight: number;
    /** 连续图例文本字体粗细 */
    sliderLabelTextFontWeight: string;
    /** 连续图例滑块颜色 */
    sliderHandlerFillColor: string;
    /** 连续图例滑块宽度 */
    sliderHandlerWidth: number;
    /** 连续图例滑块高度 */
    sliderHandlerHeight: number;
    /** 连续图例滑块边框粗细 */
    sliderHandlerBorder: number;
    /** 连续图例滑块边框颜色 */
    sliderHandlerBorderColor: string;
    /** arc 图形标注描边颜色 */
    annotationArcBorderColor: string;
    /** arc 图形标注粗细 */
    annotationArcBorder: number;
    /** line 图形标注颜色 */
    annotationLineBorderColor: string;
    /** line 图形标注粗细 */
    annotationLineBorder: number;
    /** lube 图形标注的虚线间隔 */
    annotationLineDash: any;
    /** text 图形标注文本颜色 */
    annotationTextFillColor: string;
    /** text 图形标注文本字体大小 */
    annotationTextFontSize: number;
    /** text 图形标注文本行高 */
    annotationTextLineHeight: number;
    /** text 图形标注文本字体粗细 */
    annotationTextFontWeight: string;
    /** text 图形标注文本边框颜色 */
    annotationTextBorderColor: any;
    /** text 图形标注文本边框粗细 */
    annotationTextBorder: number;
    /** region 图形标注填充颜色 */
    annotationRegionFillColor: string;
    /** region 图形标注填充颜色透明色 */
    annotationRegionFillOpacity: number;
    /** region 图形标注描边粗细 */
    annotationRegionBorder: number;
    /** region 图形标注描边颜色 */
    annotationRegionBorderColor: any;
    /** dataMarker 图形标注线的长度 */
    annotationDataMarkerLineLength: number;
    /** tooltip crosshairs 辅助线颜色 */
    tooltipCrosshairsBorderColor: string;
    /** tooltip crosshairs 辅助线粗细 */
    tooltipCrosshairsBorder: number;
    /** tooltip crosshairs 辅助线虚线间隔 */
    tooltipCrosshairsLineDash: any;
    /** tooltip 内容框背景色 */
    tooltipContainerFillColor: string;
    tooltipContainerFillOpacity: number;
    /** tooltip 内容框阴影 */
    tooltipContainerShadow: string;
    /** tooltip 内容框圆角 */
    tooltipContainerBorderRadius: number;
    /** tooltip 文本颜色 */
    tooltipTextFillColor: string;
    /** tooltip 文本字体大小 */
    tooltipTextFontSize: number;
    /** tooltip 文本行高 */
    tooltipTextLineHeight: number;
    /** tooltip 文本字体粗细 */
    tooltipTextFontWeight: string;
    /** Geometry label 文本颜色 */
    labelFillColor: string;
    labelFillColorDark: string;
    labelFillColorLight: string;
    /** Geometry label 文本字体大小 */
    labelFontSize: number;
    /** Geometry label 文本行高 */
    labelLineHeight: number;
    /** Geometry label 文本字体粗细 */
    labelFontWeight: string;
    /** Geometry label 文本描边颜色 */
    labelBorderColor: any;
    /** Geometry label 文本描边粗细 */
    labelBorder: number;
    /** Geometry innerLabel 文本颜色 */
    innerLabelFillColor: string;
    /** Geometry innerLabel 文本字体大小 */
    innerLabelFontSize: number;
    /** Geometry innerLabel 文本行高 */
    innerLabelLineHeight: number;
    /** Geometry innerLabel 文本字体粗细 */
    innerLabelFontWeight: string;
    /** Geometry innerLabel 文本描边颜色 */
    innerLabelBorderColor: any;
    /** Geometry innerLabel 文本描边粗细 */
    innerLabelBorder: number;
    /** Geometry label 文本颜色 */
    overflowLabelFillColor: string;
    overflowLabelFillColorDark: string;
    overflowLabelFillColorLight: string;
    /** Geometry label 文本字体大小 */
    overflowLabelFontSize: number;
    /** Geometry label 文本行高 */
    overflowLabelLineHeight: number;
    /** Geometry label 文本字体粗细 */
    overflowLabelFontWeight: string;
    /** Geometry label 文本描边颜色 */
    overflowLabelBorderColor: string;
    /** Geometry label 文本描边粗细 */
    overflowLabelBorder: number;
    /** Geometry label　文本连接线粗细 */
    labelLineBorder: number;
    /** Geometry label 文本连接线颜色 */
    labelLineBorderColor: string;
    /** slider 滑道高度 */
    cSliderRailHieght: number;
    /** slider 滑道背景色 */
    cSliderBackgroundFillColor: string;
    /** slider 滑道背景色透明度 */
    cSliderBackgroundFillOpacity: number;
    /** slider 滑道前景色 */
    cSliderForegroundFillColor: string;
    /** slider 滑道前景色透明度 */
    cSliderForegroundFillOpacity: number;
    /** slider 手柄高度 */
    cSliderHandlerHeight: number;
    /** Slider 手柄宽度 */
    cSliderHandlerWidth: number;
    /** Slider 手柄背景色 */
    cSliderHandlerFillColor: string;
    /** Slider 手柄背景色透明度 */
    cSliderHandlerFillOpacity: number;
    /** Slider 手柄高亮背景色 */
    cSliderHandlerHighlightFillColor: string;
    /** Slider 手柄边框色 */
    cSliderHandlerBorderColor: string;
    /** Slider 手柄边框粗细 */
    cSliderHandlerBorder: number;
    /** Slider 手柄边框圆角 */
    cSliderHandlerBorderRadius: number;
    /** Slider 字体标签颜色 */
    cSliderTextFillColor: string;
    /** Slider 字体标签透明度 */
    cSliderTextFillOpacity: number;
    /** Slider 字体标签大小 */
    cSliderTextFontSize: number;
    /** Slider 字体标签行高 */
    cSliderTextLineHeight: number;
    /** Slider 字体标签字重 */
    cSliderTextFontWeight: string;
    /** Slider 字体标签描边色 */
    cSliderTextBorderColor: any;
    /** Slider 字体标签描边粗细 */
    cSliderTextBorder: number;
    /** 滚动条 滚道填充色 */
    scrollbarTrackFillColor: string;
    /** 滚动条 滑块填充色 */
    scrollbarThumbFillColor: string;
    /** 滚动条 滑块高亮填充色 */
    scrollbarThumbHighlightFillColor: string;
    /** 点图填充颜色 */
    pointFillColor: string;
    /** 点图填充颜色透明度 */
    pointFillOpacity: number;
    /** 点图大小 */
    pointSize: number;
    /** 点图描边粗细 */
    pointBorder: number;
    /** 点图描边颜色 */
    pointBorderColor: string;
    /** 点图描边透明度 */
    pointBorderOpacity: number;
    /** 点图 active 状态下描边颜色 */
    pointActiveBorderColor: string;
    /** 点图 selected 状态下描边粗细 */
    pointSelectedBorder: number;
    /** 点图 selected 状态下描边颜色 */
    pointSelectedBorderColor: string;
    /** 点图 inactive 状态下填充颜色透明度 */
    pointInactiveFillOpacity: number;
    /** 点图 inactive 状态下描边透明度 */
    pointInactiveBorderOpacity: number;
    /** 空心点图大小 */
    hollowPointSize: number;
    /** 空心点图描边粗细 */
    hollowPointBorder: number;
    /** 空心点图描边颜色 */
    hollowPointBorderColor: string;
    /** 空心点图描边透明度 */
    hollowPointBorderOpacity: number;
    hollowPointFillColor: string;
    /** 空心点图 active 状态下描边粗细 */
    hollowPointActiveBorder: number;
    /** 空心点图 active 状态下描边颜色 */
    hollowPointActiveBorderColor: string;
    /** 空心点图 active 状态下描边透明度 */
    hollowPointActiveBorderOpacity: number;
    /** 空心点图 selected 状态下描边粗细 */
    hollowPointSelectedBorder: number;
    /** 空心点图 selected 状态下描边颜色 */
    hollowPointSelectedBorderColor: string;
    /** 空心点图 selected 状态下描边透明度 */
    hollowPointSelectedBorderOpacity: number;
    /** 空心点图 inactive 状态下描边透明度 */
    hollowPointInactiveBorderOpacity: number;
    /** 线图粗细 */
    lineBorder: number;
    /** 线图颜色 */
    lineBorderColor: string;
    /** 线图透明度 */
    lineBorderOpacity: number;
    /** 线图 Active 状态下粗细 */
    lineActiveBorder: number;
    /** 线图 selected 状态下粗细 */
    lineSelectedBorder: number;
    /** 线图 inactive 状态下透明度 */
    lineInactiveBorderOpacity: number;
    /** area 填充颜色 */
    areaFillColor: string;
    /** area 填充透明度 */
    areaFillOpacity: number;
    /** area 在 active 状态下的填充透明度 */
    areaActiveFillColor: string;
    areaActiveFillOpacity: number;
    /** area 在 selected 状态下的填充透明度 */
    areaSelectedFillColor: string;
    areaSelectedFillOpacity: number;
    /** area inactive 状态下填充透明度 */
    areaInactiveFillOpacity: number;
    /** hollowArea 颜色 */
    hollowAreaBorderColor: string;
    /** hollowArea 边框粗细 */
    hollowAreaBorder: number;
    /** hollowArea 边框透明度 */
    hollowAreaBorderOpacity: number;
    /** hollowArea active 状态下的边框粗细 */
    hollowAreaActiveBorder: number;
    hollowAreaActiveBorderColor: string;
    /** hollowArea selected 状态下的边框粗细 */
    hollowAreaSelectedBorder: number;
    hollowAreaSelectedBorderColor: string;
    /** hollowArea inactive 状态下的边框透明度 */
    hollowAreaInactiveBorderOpacity: number;
    /** interval 填充颜色 */
    intervalFillColor: string;
    /** interval 填充透明度 */
    intervalFillOpacity: number;
    /** interval active 状态下边框粗细 */
    intervalActiveBorder: number;
    /** interval active 状态下边框颜色 */
    intervalActiveBorderColor: string;
    intervalActiveBorderOpacity: number;
    /** interval selected 状态下边框粗细 */
    intervalSelectedBorder: number;
    /** interval selected 状态下边框颜色 */
    intervalSelectedBorderColor: string;
    /** interval selected 状态下边框透明度 */
    intervalSelectedBorderOpacity: number;
    /** interval inactive 状态下边框透明度 */
    intervalInactiveBorderOpacity: number;
    /** interval inactive 状态下填充透明度 */
    intervalInactiveFillOpacity: number;
    /** interval 边框粗细 */
    hollowIntervalBorder: number;
    /** hollowInterval 边框颜色 */
    hollowIntervalBorderColor: string;
    /** hollowInterval 边框透明度 */
    hollowIntervalBorderOpacity: number;
    hollowIntervalFillColor: string;
    /** hollowInterval active 状态下边框粗细 */
    hollowIntervalActiveBorder: number;
    /** hollowInterval active 状态下边框颜色 */
    hollowIntervalActiveBorderColor: string;
    /** hollowInterval selected 状态下边框粗细 */
    hollowIntervalSelectedBorder: number;
    /** hollowInterval selected 状态下边框颜色 */
    hollowIntervalSelectedBorderColor: string;
    /** hollowInterval selected 状态下边框透明度 */
    hollowIntervalSelectedBorderOpacity: number;
    /** hollowInterval inactive 状态下边框透明度 */
    hollowIntervalInactiveBorderOpacity: number;
};
export declare const antvDark: {
    /** 图表背景色 */
    backgroundColor: string;
    /** 主题色 */
    brandColor: string;
    /** 图表辅助色 */
    subColor: string;
    /** 分类色板 1，在数据量小于等于 10 时使用 */
    paletteQualitative10: string[];
    /** 分类色板 2，在数据量大于 10 时使用 */
    paletteQualitative20: string[];
    /** 语义色 */
    paletteSemanticRed: string;
    /** 语义色 */
    paletteSemanticGreen: string;
    /** 语义色 */
    paletteSemanticYellow: string;
    /** (单色)顺序色板 */
    paletteSequence: string[];
    /** 字体 */
    fontFamily: string;
    /** 坐标轴线颜色 */
    axisLineBorderColor: string;
    /** 坐标轴线粗细 */
    axisLineBorder: number;
    /** 坐标轴线 lineDash 设置 */
    axisLineDash: any;
    /** 坐标轴标题颜色 */
    axisTitleTextFillColor: string;
    /** 坐标轴标题文本字体大小 */
    axisTitleTextFontSize: number;
    /** 坐标轴标题文本行高 */
    axisTitleTextLineHeight: number;
    /** 坐标轴标题文本字体粗细 */
    axisTitleTextFontWeight: string;
    /** 坐标轴标题距离坐标轴文本的间距 */
    axisTitleSpacing: number;
    /** 坐标轴刻度线颜色 */
    axisTickLineBorderColor: string;
    /** 坐标轴刻度线长度 */
    axisTickLineLength: number;
    /** 坐标轴刻度线粗细 */
    axisTickLineBorder: number;
    /** 坐标轴次刻度线颜色 */
    axisSubTickLineBorderColor: string;
    /** 坐标轴次刻度线长度 */
    axisSubTickLineLength: number;
    /** 坐标轴次刻度线粗细 */
    axisSubTickLineBorder: number;
    /** 坐标轴刻度文本颜色 */
    axisLabelFillColor: string;
    /** 坐标轴刻度文本字体大小 */
    axisLabelFontSize: number;
    /** 坐标轴刻度文本行高 */
    axisLabelLineHeight: number;
    /** 坐标轴刻度文本字体粗细 */
    axisLabelFontWeight: string;
    /** 坐标轴刻度文本距离坐标轴线的间距 */
    axisLabelOffset: number;
    /** 坐标轴网格线颜色 */
    axisGridBorderColor: string;
    /** 坐标轴网格线粗细 */
    axisGridBorder: number;
    /** 坐标轴网格线虚线设置 */
    axisGridLineDash: any;
    /** 图例标题颜色 */
    legendTitleTextFillColor: string;
    /** 图例标题文本字体大小 */
    legendTitleTextFontSize: number;
    /** 图例标题文本行高 */
    legendTitleTextLineHeight: number;
    /** 图例标题文本字体粗细 */
    legendTitleTextFontWeight: string;
    /** 图例 marker 颜色 */
    legendMarkerColor: string;
    /** 图例 marker 距离图例文本的间距 */
    legendMarkerSpacing: number;
    /** 图例 marker 默认半径大小 */
    legendMarkerSize: number;
    /** 图例 'circle' marker 半径 */
    legendCircleMarkerSize: number;
    /** 图例 'square' marker 半径 */
    legendSquareMarkerSize: number;
    /** 图例 'line' marker 半径 */
    legendLineMarkerSize: number;
    /** 图例项文本颜色 */
    legendItemNameFillColor: string;
    /** 图例项文本字体大小 */
    legendItemNameFontSize: number;
    /** 图例项文本行高 */
    legendItemNameLineHeight: number;
    /** 图例项粗细 */
    legendItemNameFontWeight: string;
    /** 图例项之间的水平间距 */
    legendItemSpacing: number;
    /** 图例项垂直方向的间隔 */
    legendItemMarginBottom: number;
    /** 图例与图表绘图区域的偏移距离  */
    legendSpacing: number;
    /** 图例与图表绘图区域的偏移距离  */
    legendPadding: number[];
    /** 水平布局的图例与绘图区域偏移距离 */
    legendHorizontalPadding: number[];
    /** 垂直布局的图例与绘图区域偏移距离 */
    legendVerticalPadding: number[];
    /** 图例分页器 marker 大小 */
    legendPageNavigatorMarkerSize: number;
    /** 图例分页器 marker 填充色 */
    legendPageNavigatorMarkerInactiveFillColor: string;
    /** 图例分页器 marker 填充色透明度 */
    legendPageNavigatorMarkerInactiveFillOpacity: number;
    /** 图例分页器 marker 激活状态填充色 */
    legendPageNavigatorMarkerFillColor: string;
    /** 图例分页器 marker 激活状态填充色透明度 */
    legendPageNavigatorMarkerFillOpacity: number;
    /** 图例分页器文本颜色 */
    legendPageNavigatorTextFillColor: string;
    /** 图例分页器文本字体大小 */
    legendPageNavigatorTextFontSize: number;
    /** 连续图例滑块填充色 */
    sliderRailFillColor: string;
    /** 连续图例滑块边框粗细 */
    sliderRailBorder: number;
    /** 连续图例滑块边框颜色 */
    sliderRailBorderColor: any;
    /** 连续图例滑块宽度 */
    sliderRailWidth: number;
    /** 连续图例滑块高度 */
    sliderRailHeight: number;
    /** 连续图例文本颜色 */
    sliderLabelTextFillColor: string;
    /** 连续图例文本字体大小 */
    sliderLabelTextFontSize: number;
    /** 连续图例文本行高 */
    sliderLabelTextLineHeight: number;
    /** 连续图例文本字体粗细 */
    sliderLabelTextFontWeight: string;
    /** 连续图例滑块颜色 */
    sliderHandlerFillColor: string;
    /** 连续图例滑块宽度 */
    sliderHandlerWidth: number;
    /** 连续图例滑块高度 */
    sliderHandlerHeight: number;
    /** 连续图例滑块边框粗细 */
    sliderHandlerBorder: number;
    /** 连续图例滑块边框颜色 */
    sliderHandlerBorderColor: string;
    /** arc 图形标注描边颜色 */
    annotationArcBorderColor: string;
    /** arc 图形标注粗细 */
    annotationArcBorder: number;
    /** line 图形标注颜色 */
    annotationLineBorderColor: string;
    /** line 图形标注粗细 */
    annotationLineBorder: number;
    /** lube 图形标注的虚线间隔 */
    annotationLineDash: any;
    /** text 图形标注文本颜色 */
    annotationTextFillColor: string;
    /** text 图形标注文本字体大小 */
    annotationTextFontSize: number;
    /** text 图形标注文本行高 */
    annotationTextLineHeight: number;
    /** text 图形标注文本字体粗细 */
    annotationTextFontWeight: string;
    /** text 图形标注文本边框颜色 */
    annotationTextBorderColor: any;
    /** text 图形标注文本边框粗细 */
    annotationTextBorder: number;
    /** region 图形标注填充颜色 */
    annotationRegionFillColor: string;
    /** region 图形标注填充颜色透明色 */
    annotationRegionFillOpacity: number;
    /** region 图形标注描边粗细 */
    annotationRegionBorder: number;
    /** region 图形标注描边颜色 */
    annotationRegionBorderColor: any;
    /** dataMarker 图形标注线的长度 */
    annotationDataMarkerLineLength: number;
    /** tooltip crosshairs 辅助线颜色 */
    tooltipCrosshairsBorderColor: string;
    /** tooltip crosshairs 辅助线粗细 */
    tooltipCrosshairsBorder: number;
    /** tooltip crosshairs 辅助线虚线间隔 */
    tooltipCrosshairsLineDash: any;
    /** tooltip 内容框背景色 */
    tooltipContainerFillColor: string;
    tooltipContainerFillOpacity: number;
    /** tooltip 内容框阴影 */
    tooltipContainerShadow: string;
    /** tooltip 内容框圆角 */
    tooltipContainerBorderRadius: number;
    /** tooltip 文本颜色 */
    tooltipTextFillColor: string;
    /** tooltip 文本字体大小 */
    tooltipTextFontSize: number;
    /** tooltip 文本行高 */
    tooltipTextLineHeight: number;
    /** tooltip 文本字体粗细 */
    tooltipTextFontWeight: string;
    /** Geometry label 文本颜色 */
    labelFillColor: string;
    labelFillColorDark: string;
    labelFillColorLight: string;
    /** Geometry label 文本字体大小 */
    labelFontSize: number;
    /** Geometry label 文本行高 */
    labelLineHeight: number;
    /** Geometry label 文本字体粗细 */
    labelFontWeight: string;
    /** Geometry label 文本描边颜色 */
    labelBorderColor: any;
    /** Geometry label 文本描边粗细 */
    labelBorder: number;
    /** Geometry innerLabel 文本颜色 */
    innerLabelFillColor: string;
    /** Geometry innerLabel 文本字体大小 */
    innerLabelFontSize: number;
    /** Geometry innerLabel 文本行高 */
    innerLabelLineHeight: number;
    /** Geometry innerLabel 文本字体粗细 */
    innerLabelFontWeight: string;
    /** Geometry innerLabel 文本描边颜色 */
    innerLabelBorderColor: any;
    /** Geometry innerLabel 文本描边粗细 */
    innerLabelBorder: number;
    /** Geometry label 文本颜色 */
    overflowLabelFillColor: string;
    overflowLabelFillColorDark: string;
    overflowLabelFillColorLight: string;
    /** Geometry label 文本字体大小 */
    overflowLabelFontSize: number;
    /** Geometry label 文本行高 */
    overflowLabelLineHeight: number;
    /** Geometry label 文本字体粗细 */
    overflowLabelFontWeight: string;
    /** Geometry label 文本描边颜色 */
    overflowLabelBorderColor: string;
    /** Geometry label 文本描边粗细 */
    overflowLabelBorder: number;
    /** Geometry label　文本连接线粗细 */
    labelLineBorder: number;
    /** Geometry label 文本连接线颜色 */
    labelLineBorderColor: string;
    /** slider 滑道高度 */
    cSliderRailHieght: number;
    /** slider 滑道背景色 */
    cSliderBackgroundFillColor: string;
    /** slider 滑道背景色透明度 */
    cSliderBackgroundFillOpacity: number;
    /** slider 滑道前景色 */
    cSliderForegroundFillColor: string;
    /** slider 滑道前景色透明度 */
    cSliderForegroundFillOpacity: number;
    /** slider 手柄高度 */
    cSliderHandlerHeight: number;
    /** Slider 手柄宽度 */
    cSliderHandlerWidth: number;
    /** Slider 手柄背景色 */
    cSliderHandlerFillColor: string;
    /** Slider 手柄背景色透明度 */
    cSliderHandlerFillOpacity: number;
    /** Slider 手柄高亮背景色 */
    cSliderHandlerHighlightFillColor: string;
    /** Slider 手柄边框色 */
    cSliderHandlerBorderColor: string;
    /** Slider 手柄边框粗细 */
    cSliderHandlerBorder: number;
    /** Slider 手柄边框圆角 */
    cSliderHandlerBorderRadius: number;
    /** Slider 字体标签颜色 */
    cSliderTextFillColor: string;
    /** Slider 字体标签透明度 */
    cSliderTextFillOpacity: number;
    /** Slider 字体标签大小 */
    cSliderTextFontSize: number;
    /** Slider 字体标签行高 */
    cSliderTextLineHeight: number;
    /** Slider 字体标签字重 */
    cSliderTextFontWeight: string;
    /** Slider 字体标签描边色 */
    cSliderTextBorderColor: any;
    /** Slider 字体标签描边粗细 */
    cSliderTextBorder: number;
    /** 滚动条 滚道填充色 */
    scrollbarTrackFillColor: string;
    /** 滚动条 滑块填充色 */
    scrollbarThumbFillColor: string;
    /** 滚动条 滑块高亮填充色 */
    scrollbarThumbHighlightFillColor: string;
    /** 点图填充颜色 */
    pointFillColor: string;
    /** 点图填充颜色透明度 */
    pointFillOpacity: number;
    /** 点图大小 */
    pointSize: number;
    /** 点图描边粗细 */
    pointBorder: number;
    /** 点图描边颜色 */
    pointBorderColor: string;
    /** 点图描边透明度 */
    pointBorderOpacity: number;
    /** 点图 active 状态下描边颜色 */
    pointActiveBorderColor: string;
    /** 点图 selected 状态下描边粗细 */
    pointSelectedBorder: number;
    /** 点图 selected 状态下描边颜色 */
    pointSelectedBorderColor: string;
    /** 点图 inactive 状态下填充颜色透明度 */
    pointInactiveFillOpacity: number;
    /** 点图 inactive 状态下描边透明度 */
    pointInactiveBorderOpacity: number;
    /** 空心点图大小 */
    hollowPointSize: number;
    /** 空心点图描边粗细 */
    hollowPointBorder: number;
    /** 空心点图描边颜色 */
    hollowPointBorderColor: string;
    /** 空心点图描边透明度 */
    hollowPointBorderOpacity: number;
    hollowPointFillColor: string;
    /** 空心点图 active 状态下描边粗细 */
    hollowPointActiveBorder: number;
    /** 空心点图 active 状态下描边颜色 */
    hollowPointActiveBorderColor: string;
    /** 空心点图 active 状态下描边透明度 */
    hollowPointActiveBorderOpacity: number;
    /** 空心点图 selected 状态下描边粗细 */
    hollowPointSelectedBorder: number;
    /** 空心点图 selected 状态下描边颜色 */
    hollowPointSelectedBorderColor: string;
    /** 空心点图 selected 状态下描边透明度 */
    hollowPointSelectedBorderOpacity: number;
    /** 空心点图 inactive 状态下描边透明度 */
    hollowPointInactiveBorderOpacity: number;
    /** 线图粗细 */
    lineBorder: number;
    /** 线图颜色 */
    lineBorderColor: string;
    /** 线图透明度 */
    lineBorderOpacity: number;
    /** 线图 Active 状态下粗细 */
    lineActiveBorder: number;
    /** 线图 selected 状态下粗细 */
    lineSelectedBorder: number;
    /** 线图 inactive 状态下透明度 */
    lineInactiveBorderOpacity: number;
    /** area 填充颜色 */
    areaFillColor: string;
    /** area 填充透明度 */
    areaFillOpacity: number;
    /** area 在 active 状态下的填充透明度 */
    areaActiveFillColor: string;
    areaActiveFillOpacity: number;
    /** area 在 selected 状态下的填充透明度 */
    areaSelectedFillColor: string;
    areaSelectedFillOpacity: number;
    /** area inactive 状态下填充透明度 */
    areaInactiveFillOpacity: number;
    /** hollowArea 颜色 */
    hollowAreaBorderColor: string;
    /** hollowArea 边框粗细 */
    hollowAreaBorder: number;
    /** hollowArea 边框透明度 */
    hollowAreaBorderOpacity: number;
    /** hollowArea active 状态下的边框粗细 */
    hollowAreaActiveBorder: number;
    hollowAreaActiveBorderColor: string;
    /** hollowArea selected 状态下的边框粗细 */
    hollowAreaSelectedBorder: number;
    hollowAreaSelectedBorderColor: string;
    /** hollowArea inactive 状态下的边框透明度 */
    hollowAreaInactiveBorderOpacity: number;
    /** interval 填充颜色 */
    intervalFillColor: string;
    /** interval 填充透明度 */
    intervalFillOpacity: number;
    /** interval active 状态下边框粗细 */
    intervalActiveBorder: number;
    /** interval active 状态下边框颜色 */
    intervalActiveBorderColor: string;
    intervalActiveBorderOpacity: number;
    /** interval selected 状态下边框粗细 */
    intervalSelectedBorder: number;
    /** interval selected 状态下边框颜色 */
    intervalSelectedBorderColor: string;
    /** interval selected 状态下边框透明度 */
    intervalSelectedBorderOpacity: number;
    /** interval inactive 状态下边框透明度 */
    intervalInactiveBorderOpacity: number;
    /** interval inactive 状态下填充透明度 */
    intervalInactiveFillOpacity: number;
    /** interval 边框粗细 */
    hollowIntervalBorder: number;
    /** hollowInterval 边框颜色 */
    hollowIntervalBorderColor: string;
    /** hollowInterval 边框透明度 */
    hollowIntervalBorderOpacity: number;
    hollowIntervalFillColor: string;
    /** hollowInterval active 状态下边框粗细 */
    hollowIntervalActiveBorder: number;
    /** hollowInterval active 状态下边框颜色 */
    hollowIntervalActiveBorderColor: string;
    /** hollowInterval selected 状态下边框粗细 */
    hollowIntervalSelectedBorder: number;
    /** hollowInterval selected 状态下边框颜色 */
    hollowIntervalSelectedBorderColor: string;
    /** hollowInterval selected 状态下边框透明度 */
    hollowIntervalSelectedBorderOpacity: number;
    /** hollowInterval inactive 状态下边框透明度 */
    hollowIntervalInactiveBorderOpacity: number;
};
